Bug 21639 - Phone notice transports do not exist for new installs
Summary: Phone notice transports do not exist for new installs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21651
  Show dependency treegraph
 
Reported: 2018-10-24 01:15 UTC by Nick Clemens
Modified: 2018-11-28 10:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21639: Add phone transports to new and existing installs (3.09 KB, patch)
2018-10-24 01:36 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21639: Add phone transports to new and existing installs (3.16 KB, patch)
2018-10-24 15:52 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 21639: Adjust the other languages (13.19 KB, patch)
2018-10-24 19:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21639: Add phone transports to new and existing installs (3.23 KB, patch)
2018-10-25 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21639: Adjust the other languages (13.31 KB, patch)
2018-10-25 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21639: (follow-up) Adjust the other languages (2.32 KB, patch)
2018-10-25 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-10-24 01:15:19 UTC
SELECT * FROM message_transports;

there are no phone transports

Enable TalkingTechItivaPhoneNotification and EnhancedMessagingPreferences

Open a patron

Note you can see phone as an option, but not check it
Comment 1 Nick Clemens 2018-10-24 01:36:52 UTC
Created attachment 81044 [details] [review]
Bug 21639: Add phone transports to new and existing installs

To test:
1 - Confirm if you do or do not have 'phone' transports defined in the
message_transports table
2 - Apply patch
3 - Run updatedatabase
4 - If you didn't have them you should now
5 - Run updatedatabase again, confirm it doesn't error
6 - sudo koha-mysql kohadev
7 - DELETE from message_transports WHERE message_transport_type =
'phone'
8 - Run updatedatabase again
9 - Confirm the message transports table is restored
10 - Drop your DB (or reset_all in kohadevbox)
11 - Ensure the table is fully populated including phone notices
Comment 2 M. Tompsett 2018-10-24 15:48:10 UTC
Comment on attachment 81044 [details] [review]
Bug 21639: Add phone transports to new and existing installs

Review of attachment 81044 [details] [review]:
-----------------------------------------------------------------

::: installer/data/mysql/en/mandatory/sample_notices_message_transports.sql
@@ -4,5 @@
>  (1, 'email', 0, 'circulation', 'DUE'),
>  (1, 'email', 1, 'circulation', 'DUEDGST'),
> -(2, 'email', 0, 'circulation', 'PREDUE'),
> -(2, 'email', 1, 'circulation', 'PREDUEDGST'),
> -(4, 'email', 0, 'reserves',    'HOLD'),

I know sorting is prettier, but a smaller patch with just phone would be easier to eyeball. :P
Comment 3 M. Tompsett 2018-10-24 15:52:01 UTC
Created attachment 81077 [details] [review]
Bug 21639: Add phone transports to new and existing installs

To test:
1 - Confirm if you do or do not have 'phone' transports defined in the
message_transports table
2 - Apply patch
3 - Run updatedatabase
4 - If you didn't have them you should now
5 - Run updatedatabase again, confirm it doesn't error
6 - sudo koha-mysql kohadev
7 - DELETE from message_transports WHERE message_transport_type =
'phone'
8 - Run updatedatabase again
9 - Confirm the message transports table is restored
10 - Drop your DB (or reset_all in kohadevbox)
11 - Ensure the table is fully populated including phone notices

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Jonathan Druart 2018-10-24 17:45:16 UTC
(In reply to M. Tompsett from comment #2)
> I know sorting is prettier, but a smaller patch with just phone would be
> easier to eyeball. :P

Agreed, especially because you are going to provide the same changes for all the other languages now.
Comment 5 Nick Clemens 2018-10-24 19:43:41 UTC
Created attachment 81085 [details] [review]
Bug 21639: Adjust the other languages
Comment 6 Jonathan Druart 2018-10-25 14:59:34 UTC
installer/data/mysql/uk-UA/mandatory/sample_notices_message_transports.sql will fail
Comment 7 Jonathan Druart 2018-10-25 15:02:28 UTC
Created attachment 81169 [details] [review]
Bug 21639: Add phone transports to new and existing installs

To test:
1 - Confirm if you do or do not have 'phone' transports defined in the
message_transports table
2 - Apply patch
3 - Run updatedatabase
4 - If you didn't have them you should now
5 - Run updatedatabase again, confirm it doesn't error
6 - sudo koha-mysql kohadev
7 - DELETE from message_transports WHERE message_transport_type =
'phone'
8 - Run updatedatabase again
9 - Confirm the message transports table is restored
10 - Drop your DB (or reset_all in kohadevbox)
11 - Ensure the table is fully populated including phone notices

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2018-10-25 15:02:32 UTC
Created attachment 81170 [details] [review]
Bug 21639: Adjust the other languages

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2018-10-25 15:02:37 UTC
Created attachment 81171 [details] [review]
Bug 21639: (follow-up) Adjust the other languages

uk-UA was wrong.
We should use the same file for all languages

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Nick Clemens 2018-10-26 17:24:36 UTC
Awesome work all!

Pushed to master for 18.11
Comment 11 Martin Renvoize 2018-11-06 13:27:00 UTC
Pushed to 18.05.x for 18.05.06
Comment 12 Fridolin SOMERS 2018-11-28 10:03:48 UTC
I prefer to avoid DB changes in 17.11.x